System requirements

The following software must be installed in order to implement the PHP Integration Kit:

  • PingFederate 6.x (or higher)
  • PHP 5.4.x (on the application Web server)
  • cURL extension on the PHP server – enables IdP and SP applications to communicate with PingFederate
    NoteThis is required for both the Windows and Linux installations of PHP 5.4.8.
  • mcrypt extension on the PHP server – used to encrypt and decrypt the OpenToken

    Find more information and the download at http://php.net/mcrypt and http://mcrypt.sourceforge.net.

  • mhash extension on the PHP server – used to generate hmacs and secure keys from passwords

    Find more information and the download at http://php.net/mhash and http://mhash.sourceforge.net.

  • zlib extension – used for data compression

    The PHP kit uses the gzuncompress method to uncompress data. For more information, see http://php.net/manual/en/ref.zlib.php.

Tags Capability > Single Sign On; Hosting Environment > On-Premises; Product > Adapters and Integration Kits; Product > Adapters and Integration Kits > Integration Kits